Option Strict Off
Option Explicit On
Imports System.Linq
Imports System.Collections.Generic
Namespace FMStocks_Bus
   Public Class Version : Implements System.IDisposable
   Dim _disposed As Boolean = False
   Private Const m_modName As String = "FMStocks_Bus.Version"
   Private m_dbVer As FMStocks_DB.Version = Nothing
   Public Sub New()
      MyBase.New()
      Class_Initialize()
   End Sub
   Private Sub Class_Initialize()
      m_dbVer = New FMStocks_DB.Version
   End Sub
   Public Sub Dispose() Implements System.IDisposable.Dispose
      Dispose(True)
      GC.SuppressFinalize(Me)
   End Sub
   Protected Overridable Sub Dispose(disposing As Boolean)
      If _disposed Then
         Return
      End If
      If (disposing) Then
         Class_Terminate()
      End If
      _disposed = True
   End Sub
   Private Sub Class_Terminate()
      m_dbVer = Nothing
   End Sub
   Public Function AppVersion() As String
      AppVersion = FMStocks_DB.Helpers.GetVersionNumber()
   End Function
   Public Function ComputerName() As String
      ComputerName = FMStocks_DB.Helpers.GetComputerName()
   End Function
   Public Function DALVersion() As String
      DALVersion = m_dbVer.AppVersion()
   End Function
   Public Function DALConnectionString() As String
      DALConnectionString = m_dbVer.ConnectionString()
   End Function
   Public Function ConnectionString() As String
      ConnectionString = DALConnectionString()
   End Function
   Public Function DALComputerName() As String
      DALComputerName = m_dbVer.ComputerName()
   End Function
   End Class
End Namespace
